#Script for creating a session.
  cd XEvent
  $h = hostname
  cd $h
  
  #Use the default instance.
  $store = dir | where {$_.DisplayName -ieq 'default'}
  $session = new-object Microsoft.SqlServer.Management.XEvent.Session -argumentlist $store, "TestSession2"
  $event = $session.AddEvent("sqlserver.file_written")
  
  #Construct a predicate "equal_i_unicode_string(path, N'c:\temp.log')".
  $column = $store.SqlServerPackage.EventInfoSet["file_written"].DataEventColumnInfoSet["path"]
  $operand = new-object Microsoft.SqlServer.Management.XEvent.PredOperand -argumentlist $column
  $value = new-object Microsoft.SqlServer.Management.XEvent.PredValue -argumentlist "c:\temp.log"
  $compare = $store.Package0Package.PredCompareInfoSet["equal_i_unicode_string"]
  $predicate = new-object Microsoft.SqlServer.Management.XEvent.PredFunctionExpr -argumentlist $compare, $operand, $value
  $event.SetPredicate($predicate)
  $session.Create()
