

-- get the full names of all targets
-- for use in CREATE/ALTER EVENT SESSION

select p.name + '.' + o.name as [Full Name], 
       o.description 
from sys.dm_xe_objects o
join sys.dm_xe_packages p on o.package_guid = p.guid
where o.object_type = 'target' order by p.name, o.name


