
-- all event keywords

select xep.name as package, xem.map_key, xem.map_value
--into xe2008r2.dbo.event_keywords2012
from sys.dm_xe_map_values xem
join sys.dm_xe_packages xep
on xep.guid = xem.object_package_guid
where xem.name = 'keyword_map'
order by xep.name, xem.map_key

-- get events pertaining to errors
-- get events by catagory
-- only 592 have catagories (ie have a keyword column)
select xeop.name as package, xeo.name as event, xeo.description, xem.map_value
-- select xeo.name as event, xeo.description
from sys.dm_xe_objects xeo
join sys.dm_xe_object_columns xeoc
on xeo.name = xeoc.object_name
and xeoc.name = 'keyword'
and xeo.object_type = 'event'
join sys.dm_xe_map_values xem
on xem.map_key = xeoc.column_value
and xem.object_package_guid = xeoc.type_package_guid
--and xem.map_value = 'errors'
and xem.name = 'keyword_map'
join sys.dm_xe_packages xeop
on xeop.guid = xeo.package_guid
--where xeo.name like '%cardinality%'
order by xem.map_value, xeop.name

select (xeop.name  + '.' + xeo.name) as [Full Name], xeo.name
into #temp2
from sys.dm_xe_objects xeo
join sys.dm_xe_object_columns xeoc
on xeo.name = xeoc.object_name
and xeoc.name = 'keyword'
and xeo.object_type = 'event'
join sys.dm_xe_map_values xem
on xem.map_key = xeoc.column_value
and xem.object_package_guid = xeoc.type_package_guid
--and xem.map_value = 'errors'
and xem.name = 'keyword_map'
join sys.dm_xe_packages xeop
on xeop.guid = xeo.package_guid

-- 26 events with no category
select * from xe2008r2.dbo.events2012
where [Full Name] not in (select [Full Name] from #temp2)

select p.name package_name, o.name event_name, c.name event_field, 
       c.type_name field_type, c.column_type column_type
from sys.dm_xe_objects o
join sys.dm_xe_packages p
      on o.package_guid = p.guid
join sys.dm_xe_object_columns c
      on o.name = c.object_name
where o.object_type = 'event'
and o.name not in (select name from #temp2)


select xeop.name as package, xeo.name as event, xeo.description, xem.map_value
from sys.dm_xe_objects xeo
join sys.dm_xe_object_columns xeoc
on xeo.name = xeoc.object_name
and xeoc.name = 'channel'
and xeo.object_type = 'event'
join sys.dm_xe_map_values xem
on xem.map_key = xeoc.column_value
and xem.object_package_guid = xeoc.type_package_guid
--and xem.map_value = 'errors'
and xem.name = 'etw_channel'
join sys.dm_xe_packages xeop
on xeop.guid = xeo.package_guid
order by xem.map_value, xeop.name